// config.h.in:  template for config.h, to be processed by configure
// config.h:     C-header file containing system-dependend parameters
//
// This file is part of ml2vim.
// Copyright (C) 1998 Timo Felbinger 
// email: Timo.Felbinger@quantum.physik.uni-potsdam.de
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (in a file called LICENSE); if not, write to 
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA, or look at http://www.gnu.org.

#ifndef __CONFIG_H
#define __CONFIG_H

#define VERSION "0.99.8"

#define TIME_OF_CONFIGURATION "19990501.143242"
// #define CONFIGURE_USER "@CONFIGURE_USER@"
// #define CONFIGURE_HOST "@CONFIGURE_HOST@"

#define HAVE_CONST 1


#define HAVE_INLINE 1


#define HAVE_LONG_DOUBLE 1
#define HAVE_LONG_LONG_INT 1 

#define IS_BIG_ENDIAN 0
#define IS_LITTLE_ENDIAN 1

#define BITS_PER_CHAR 8

#define HAVE_INT8 1
#define INT8 signed char
#define UNSIGNED8 unsigned char

#define HAVE_INT16 1
#define INT16 short int
#define UNSIGNED16 unsigned short int

#define HAVE_INT32 1
#define INT32 int
#define UNSIGNED32 unsigned int

#define HAVE_INT64 1
#define INT64 long int
#define UNSIGNED64 unsigned long int

#define INT_FOR_POINTER unsigned long int

#define BIG_INT long long int
#define BIG_UNSIGNED unsigned long long int
#define BIG_DOUBLE long double

#define HAVE_SIZE_T 1


#define HAVE_ISINF 0

#define HAVE_GETOPT_LONG  0

#define MMA_COMMAND "/usr/local/bin/math -mathlink"

#endif

